import * as actionTypes from '../actiontype/reportDamage';
function initDamgeListSuccess(state,data) {
    console.log("reportDamageList=============")
    console.log(state);
    let newInfo = Object.assign([],data);
    return newInfo;
}
function deleteDamgeItemSuccess(state,data) {
    let newInfo = Object.assign([],state,data);
    return newInfo;
}
export default function(state={}, action) {
    switch (action.type) {
        case actionTypes.INIT_GETDAMGELIST_SUCCESS:
            return initDamgeListSuccess(state,action.data)
        default:
            return state;
    }
}